> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getprosperapp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Campaigns

> List the organization's campaigns, newest first.



## OpenAPI

````yaml https://voice.getprosperapp.com/openapi.json get /api/v1/campaigns
openapi: 3.1.0
info:
  title: Prosper Voice
  version: 1.0.0
servers: []
security: []
paths:
  /api/v1/campaigns:
    get:
      tags:
        - Campaigns
      summary: List Campaigns
      description: List the organization's campaigns, newest first.
      operationId: list_campaigns_api_v1_campaigns_get
      parameters:
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            description: The page number to get.
            default: 0
            title: Page
          description: The page number to get.
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 500
            minimum: 1
            description: The number of campaigns per page.
            default: 100
            title: Limit
          description: The number of campaigns per page.
        - name: include_archived
          in: query
          required: false
          schema:
            type: boolean
            description: Whether to include archived campaigns.
            default: false
            title: Include Archived
          description: Whether to include archived campaigns.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedCampaignsResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PaginatedCampaignsResponse:
      properties:
        campaigns:
          items:
            $ref: '#/components/schemas/CampaignListItem'
          type: array
          title: Campaigns
        page_count:
          type: integer
          title: Page Count
        next_page:
          anyOf:
            - type: integer
            - type: 'null'
          title: Next Page
      type: object
      required:
        - campaigns
        - page_count
        - next_page
      title: PaginatedCampaignsResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CampaignListItem:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        campaign_type:
          $ref: '#/components/schemas/CampaignType'
        paused:
          type: boolean
          title: Paused
          description: >-
            When true, the campaign places no outbound calls and rejects inbound
            ones.
        archived:
          type: boolean
          title: Archived
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - name
        - campaign_type
        - paused
        - archived
        - created_at
      title: CampaignListItem
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    CampaignType:
      type: string
      enum:
        - patient
        - payor
        - provider
      title: CampaignType

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.